# Generated by Django 3.2.9 on 2021-11-12 13:36

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="FirewallRule",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("fw_id", models.CharField(max_length=32, unique=True)),
                ("source_tag", models.CharField(max_length=32)),
                ("dest_tag", models.CharField(max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name="Tag",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=32, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name="VirtualMachine",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("vm_id", models.CharField(max_length=32, unique=True)),
                ("name", models.CharField(max_length=128)),
                (
                    "tags",
                    models.ManyToManyField(
                        related_name="virtual_machines", to="surface.Tag"
                    ),
                ),
            ],
        ),
    ]
